summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author Zbigniew Baniewski <Zbigniew.Baniewski@gmail.com>2013-07-01 23:40:10 -0300
committer Erik Hanson <erik@slackbuilds.org>2013-07-02 16:06:54 -0500
commit1efb85e3c7bc374992290011cae7d94b896653de (patch)
treeb9bdc7abd2427ff9e60efabacbb6cf40ceb321ff /audio
parent0eff76ec06e6d9eacbc878c693092a1f303f6011 (diff)
downloadslackbuilds-1efb85e3c7bc374992290011cae7d94b896653de.tar.gz
slackbuilds-1efb85e3c7bc374992290011cae7d94b896653de.tar.xz
audio/yoshimi: Added (software synthesiser)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'audio')
-rw-r--r--audio/yoshimi/README4
-rw-r--r--audio/yoshimi/doinst.sh3
-rw-r--r--audio/yoshimi/slack-desc19
-rw-r--r--audio/yoshimi/yoshimi.SlackBuild87
-rw-r--r--audio/yoshimi/yoshimi.info10
5 files changed, 123 insertions, 0 deletions
diff --git a/audio/yoshimi/README b/audio/yoshimi/README
new file mode 100644
index 0000000000..83c4812ce9
--- /dev/null
+++ b/audio/yoshimi/README
@@ -0,0 +1,4 @@
+Yoshimi is a software synthesizer for Linux based on the 2.4.0 release
+of ZynAddSubFX, written by Nasca Octavian Paul. Yoshimi delivers the
+same synth capabilities, along with very good Jack and Alsa midi/audio
+functionality.
diff --git a/audio/yoshimi/doinst.sh b/audio/yoshimi/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/audio/yoshimi/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/audio/yoshimi/slack-desc b/audio/yoshimi/slack-desc
new file mode 100644
index 0000000000..f7d33fdfcf
--- /dev/null
+++ b/audio/yoshimi/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+yoshimi: yoshimi (software synthesiser)
+yoshimi:
+yoshimi: Yoshimi - software synthesizer for Linux based on the 2.4.0 release
+yoshimi: of ZynAddSubFX, written by Nasca Octavian Paul. Yoshimi delivers
+yoshimi: the same synth capabilities, along with very good Jack and Alsa
+yoshimi: midi/audio functionality.
+yoshimi:
+yoshimi: http://yoshimi.sourceforge.net/
+yoshimi:
+yoshimi:
+yoshimi:
diff --git a/audio/yoshimi/yoshimi.SlackBuild b/audio/yoshimi/yoshimi.SlackBuild
new file mode 100644
index 0000000000..51d430cbdb
--- /dev/null
+++ b/audio/yoshimi/yoshimi.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/sh
+
+# Slackware build script for yoshimi
+
+# Written by Zbigniew Baniewski, <Zbigniew.Baniewski@gmail.com>
+
+PRGNAM=yoshimi
+VERSION=${VERSION:-1.1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar jxvf $CWD/${PRGNAM}-${VERSION}.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cd src
+# Both "DDefaultAudio/Midi..." lines can be removed for default JACK audio/MIDI
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX:PATH=/usr \
+ -DDefaultAudio:STRING=alsa \
+ -DDefaultMidi:STRING=alsa \
+ .
+
+ make VERBOSE=1
+ make install DESTDIR=$PKG
+cd ..
+
+# Move man pages to correct location
+#mv $PKG/usr/share/man $PKG/usr/
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+#find $PKG/usr/man -type f -exec gzip -9 {} \;
+#for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a 1.1.0.notes COPYING INSTALL README.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/yoshimi/yoshimi.info b/audio/yoshimi/yoshimi.info
new file mode 100644
index 0000000000..f29b2f4c44
--- /dev/null
+++ b/audio/yoshimi/yoshimi.info
@@ -0,0 +1,10 @@
+PRGNAM="yoshimi"
+VERSION="1.1.0"
+HOMEPAGE="http://yoshimi.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/yoshimi/1.1/yoshimi-1.1.0.tar.bz2"
+MD5SUM="c7ec7b7a841e4ae37d81cce8e32a431c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="mxml fltk jack-audio-connection-kit"
+MAINTAINER="Zbigniew Baniewski"
+EMAIL="Zbigniew.Baniewski@gmail.com"